<ion-content>
  <ion-grid class="welcome">
    <ion-row>
      <ion-col>
        <ion-item class="ion-text-center" lines="none" >
          <ion-icon src="/assets/image/Group2.svg"></ion-icon>
          <span class="text">yuk sekarang!</span>
        </ion-item>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-img size src="/assets/image/undraw_outer_space_re_u9vd 1.svg"></ion-img>
      </ion-col>
    </ion-row>
  </ion-grid>

  <ion-content padding>
      <form #f="ngForm" (ngSubmit)="onSubmit(f)">
        <ion-grid>
      <ion-row>
        <ion-col>
          <ion-label>Email</ion-label>
          <ion-input type="email"
          ngModel
          name="email"
          required
          email
          #emailCtrl="ngModel"></ion-input>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col>
          <ion-label>Password</ion-label>
          <ion-input type="password"
          ngModel
          name="password"
          required
          minlength="6"
          #passwordCtrl="ngModel"></ion-input>
        </ion-col>
      </ion-row>
      <ion-item
      *ngIf="!emailCtrl.valid && emailCtrl.touched"
      lines="none"
    >
      <ion-label>Should be a valid email address.</ion-label>
    </ion-item>
  </ion-grid>

  <ion-grid class="auth">
    <ion-row>
      <ion-col>
        <ion-button 
        type="submit"
        color="primary"
        (click)="onLogin()"
        expand="block"
        [disabled]="!f.valid"
      >Login</ion-button>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col>
        <ion-button
        type="button"
        color="secondary"
        fill="clear"
        expand="block"
        (click)="onSwitchLoginModel()">
            Switch to {{ isLogin ? 'Signup' : 'Login' }}</ion-button>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col class="ion-text-center">
        <ion-label color="blue">belum punya akun?</ion-label>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col class="ion-text-center">
        <ion-label>lupa password?</ion-label>
      </ion-col>
    </ion-row>

    </ion-grid>
